--- configfile.c
+++ configfile.c
@@ -37,7 +37,7 @@
 				{"CURSOR_DIFF:",	12,COLOR_CURSORDIFF},	
 				{"HEADLINE:",		 9,COLOR_HEADLINE},
 				{"FRAME:",		 6,COLOR_FRAME}};
-const tColorName colorNames[20]={	{"BLACK",	5,COLOR_BLACK,0},
+const tColorName colorNames[21]={	{"BLACK",	5,COLOR_BLACK,0},
 					{"RED",		3,COLOR_RED,0},
 					{"GREEN",	5,COLOR_GREEN,0},
 					{"BLUE",	4,COLOR_BLUE,0},
@@ -48,6 +48,10 @@
 					{"YELLOW",	6,COLOR_YELLOW,A_BOLD},
 					{"BROWN",	5,COLOR_YELLOW,0},
 
+#if NCURSES_VERSION_PATCH >= 970118
+					{"DEFAULT",	7,-1,0}, /* transparency */
+#endif
+
 					{"LIGHTBLACK",	10,COLOR_BLACK,A_BOLD},
 					{"LIGHTRED",	 8,COLOR_RED,A_BOLD},
 					{"LIGHTGREEN",	10,COLOR_GREEN,A_BOLD},
--- output.c
+++ output.c
@@ -35,6 +35,9 @@
 {
 	int i;
 	start_color();
+#if NCURSES_VERSION_PATCH >= 970118
+	use_default_colors();
+#endif
 	for (i=0;i<UICOLORNUM;i++)
 	{
 		init_pair(i,output->colors[i].fg,output->colors[i].bg);output->attrs[i]=COLOR_PAIR(i)+output->colors[i].attrs;
